---

version: "3.6"

services:
  elasticsearch:
    image: ${ELASTICSEARCH_IMAGE}:${ELASTICSEARCH_VERSION}
    environment:
      - "discovery.type=single-node"
      - bootstrap.memory_lock=true
      - "ES_JAVA_OPTS=-Xms512m -Xmx512m"
    ports:
      - 9200:9200
    volumes:
      - ${PWD}/monitoring/config/elasticsearch.yml:/usr/share/elasticsearch/config/elasticsearch.yml
      - elasticsearch:/usr/share/elasticsearch/data
    networks:
      - mediacloudai_global

  grafana:
    image: ${GRAFANA_IMAGE}:${GRAFANA_VERSION}
    ports:
      - 3000:3000
    volumes:
      - ${PWD}/monitoring/docker-data-volumes/grafana:/var/lib/grafana
    user: "0"
    networks:
      - mediacloudai_global

  kibana:
    image: ${KIBANA_IMAGE}:${KIBANA_VERSION}
    ports:
      - 5601:5601
    volumes:
      - ${PWD}/monitoring/config/kibana.yml:/usr/share/kibana/config/kibana.yml
    depends_on:
      - elasticsearch
    networks:
      - mediacloudai_global

volumes:
  elasticsearch:
    driver: local

networks:
  backbone:
    driver: bridge
  mediacloudai_global:
    external: true
